# Service configuration for the project in the GKE cluster.
#
# Replace the ${VARIABLE} tags with corresponding values
# manually or with 'envsubst' command for example.

apiVersion: v1
kind: Service
metadata:
  name: ${CI_PROJECT_NAME}-service
  namespace: default
  labels:
    app: ${CI_PROJECT_NAME}
spec:
  ports:
    - name: http-${CI_PROJECT_NAME}-service
      port: 80
      targetPort: ${PORT}
  selector:
    app: ${CI_PROJECT_NAME}
  type: NodePort

